<?php
/*
Plugin Name: Anbarak Inventory & Profit Reports for WooCommerce
Plugin URI: https://en.anbarakwp.ir
Description: Manage WooCommerce inventory, stock costs, operational expenses, sales progress, and profit reports from one admin dashboard.
Version: 1.0.1
Author: AnbarakWP
Text Domain: anbarak
Domain Path: /languages
Requires at least: 6.0
Tested up to: 7.0
WC tested up to: 10.8.1
Requires PHP: 7.4
Tags: inventory, woocommerce, stock
Requires Plugins: woocommerce
License: GPL v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

namespace Anbarak;

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

// The WC HPOS compatibility declaration
add_action('before_woocommerce_init', function () {
    if (!is_admin()) {
        return;
    }

    if (!class_exists('\Automattic\WooCommerce\Utilities\FeaturesUtil')) {
        return;
    }

    \Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility('custom_order_tables', __FILE__, true);
});


// Start the plugin 🔥 
require_once 'ignite.php';
